/*int val; 
int inputPin = 0;                // Set the input to analog in pin 0
 
void setup() { 
  Serial.begin(9600);            // Start serial communication at 9600 bps 
} 
 
void loop() { 
  val = analogRead(inputPin);  // Read analog input pin, put in range 0 to 255
  Serial.write(val);             // Send the value
  delay(100);
}*/

void setup() { 
  pinMode(7, INPUT);  // Set pin 0 as an input 
  pinMode(4, INPUT);  // Set pin 0 as an input 
  Serial.begin(9600);         // Start serial communication at 9600 bps 
} 
 
void loop() { 
  if (digitalRead(4) == HIGH) {  // If switch is ON, 
    Serial.write(2);                     // send 1 to Processing
  } else if (digitalRead(7) == HIGH) {
    Serial.write(1);
  } else {                               // If the switch is not ON,
    Serial.write(0);                     // send 0 to Processing 
  } 
  delay(100);                            // Wait 100 milliseconds 
} 
